Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Template:Calculator/Job/styles.css

Template page
#simple-calc__seed {
  display: none;
}

.simple-calc__label {
  font-size: 0.875rem;
  color: var(--color-base);
}

#simple-calc__input1, #simple-calc__input2, #simple-calc__input3 {
  padding: 6px 8px;
  line-height: var(--line-height-xs);
  color: var(--color-base--emphasized);
  background-color: var(--color-surface-0);
  border-color: var(--border-color-base--darker);
  border-radius: var(--border-radius--small);
  font-size: var(--font-size-h6);
}
#simple-calc__input1:hover, #simple-calc__input2:hover, #simple-calc__input3:hover {
  background-color: var(--color-surface-0);
  border-color: var(--color-primary--hover);
}
#simple-calc__input1:focus, #simple-calc__input2:focus, #simple-calc__input3:focus {
  background-color: var(--color-surface-0);
  border-color: var(--color-primary);
  box-shadow: inset 0 0 0 1px #3968c5;
}

#simple-calc__input1:not(:disabled), #simple-calc__input2:not(:disabled), #simple-calc__input3:not(:disabled) {
  transition: color 100ms,border-color 100ms,box-shadow 100ms;
}
.simple-calc__group {
  margin-bottom: 1rem;
}

#calculate-btn {
  background-color: var(--color-primary);
  border-color: var(--color-primary);
  color: #fff;
  border-style: none;
  line-height: 1.42857143em;
  padding: 5px 10px 5px 10px;
  border-radius: var(--border-radius--small);
  font-weight: var(--font-weight-medium);  
  font-size: var(--font-size-h6);
  cursor: pointer;
}
#calculate-btn:hover {
  background-color: var(--color-primary--hover);
  border-color: var(--color-primary--hover);
}
#calculate-btn:active {
  background-color: var(--color-primary--active);
}
#simple-calc__answer {
  /*border-bottom: 2px dotted var(--color-base--subtle);*/
  width: 5.6rem;
  display: inline-block;
  text-align: center;
  margin-left: 3rem;
  background-color: var(--color-surface-2);
  border-radius: var(--border-radius--small);
}
.simple-calc__group2 {
  width: fit-content;
  background-color: var(--color-surface-2);
  border-radius: var(--border-radius--small);
  border: 2px solid var(--border-color-input);
}

/* Center it */
#simple-calc__container{
  width: 70%;
  padding: 15px;
  background: var(--color-surface-1);
  border-radius: 8px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.04),0 3px 6px rgba(0,0,0,0.0575);
}
.simple-calc__center {
  justify-content:center;
  display: flex;
}
#simple-calc__input1, #simple-calc__input2, #simple-calc__input3 {
  width: 100%;
}
.simple-cald__cardtitle {
  color: var(--color-base--subtle);
  font-size: 0.8125rem;
  letter-spacing: 0.75px;
  margin-bottom: 1rem;
}